Package com.verisign.epp.interfaces

## Class EPPNameVerificationTst

- java.lang.Object
- - com.verisign.epp.interfaces.EPPNameVerificationTst

-     public class EPPNameVerificationTst
      extends java.lang.Object

  Is a unit test of the `EPPNameVerification` class for checking for the availability to create Name Verification (NV) objects, create Name Verification (NV) objects, info Name Verification (NV) objects for input and signed codes, and update the Name Verification (NV) object authorization information. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
  java com.verisign.epp.interfaces.EPPNameVerificationTst -Dthreads=2 ../../epp.config
  The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPNameVerificationTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPIdnMapDomainTst`.
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `void` | `nvCheck()` | Unit test of `EPPNameVerification.sendCheck()`.
    `void` | `nvCreate()` | Unit test of `EPPNameVerification.sendCreate()`.
    `void` | `nvInfo()` | Unit test of `EPPNameVerification.sendInfo()`.
    `void` | `nvUpdate()` | Unit test of `EPPNameVerification.sendUpdate()`.
    `void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testNameVerification()` | JUNIT test method to implement the `EPPNameVerification TestCase`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPNameVerificationTst

          public EPPNameVerificationTst()

  - ### Method Detail

    - #### testNameVerification

          public void testNameVerification()

      JUNIT test method to implement the `EPPNameVerification TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPNameVerification interface.

    - #### nvCheck

          public void nvCheck()

      Unit test of `EPPNameVerification.sendCheck()`.

    - #### nvInfo

          public void nvInfo()

      Unit test of `EPPNameVerification.sendInfo()`.

    - #### nvCreate

          public void nvCreate()

      Unit test of `EPPNameVerification.sendCreate()`.

    - #### nvUpdate

          public void nvUpdate()

      Unit test of `EPPNameVerification.sendUpdate()`.

    - #### setUp

          public void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

    - #### tearDown

          public void tearDown()

      JUNIT `tearDown`, which currently does nothing.

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPIdnMapDomainTst`.

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test